﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ARGNSCostSheetServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_COST_SHEETSoap", Namespace="ARGNS_COST_SHEET")]
    public partial class ARGNS_COST_SHEET : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private System.Threading.SendOrPostCallback RemoveOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_COST_SHEET() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ARGNSCostSheetServiceWeb_ARGNS_COST_SHEET;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        public event RemoveCompletedEventHandler RemoveCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/Add", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsCostSheetParams")]
        public ArgnsCostSheetParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsCostSheet ArgnsCostSheet) {
            object[] results = this.Invoke("Add", new object[] {
                        ArgnsCostSheet});
            return ((ArgnsCostSheetParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsCostSheet ArgnsCostSheet) {
            this.AddAsync(ArgnsCostSheet, null);
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsCostSheet ArgnsCostSheet, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ArgnsCostSheet}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/Update", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsCostSheet ArgnsCostSheet) {
            this.Invoke("Update", new object[] {
                        ArgnsCostSheet});
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsCostSheet ArgnsCostSheet) {
            this.UpdateAsync(ArgnsCostSheet, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsCostSheet ArgnsCostSheet, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ArgnsCostSheet}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/GetByParams", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsCostSheet")]
        public ArgnsCostSheet GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsCostSheetParams ArgnsCostSheetParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ArgnsCostSheetParams});
            return ((ArgnsCostSheet)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsCostSheetParams ArgnsCostSheetParams) {
            this.GetByParamsAsync(ArgnsCostSheetParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsCostSheetParams ArgnsCostSheetParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ArgnsCostSheetParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/GetList", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ArgnsCostSheetsParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ArgnsCostSheetParams", IsNullable=false)]
        public ArgnsCostSheetsParamsArgnsCostSheetParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ArgnsCostSheetsParamsArgnsCostSheetParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/InvokeMethod", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsCostSheet ArgnsCostSheet) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsCostSheet});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsCostSheet ArgnsCostSheet) {
            this.InvokeMethodAsync(InvokeParams, ArgnsCostSheet, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsCostSheet ArgnsCostSheet, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsCostSheet}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_COST_SHEET/Remove", RequestNamespace="ARGNS_COST_SHEET", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Remove([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsCostSheetParams ArgnsCostSheetParams) {
            this.Invoke("Remove", new object[] {
                        ArgnsCostSheetParams});
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsCostSheetParams ArgnsCostSheetParams) {
            this.RemoveAsync(ArgnsCostSheetParams, null);
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsCostSheetParams ArgnsCostSheetParams, object userState) {
            if ((this.RemoveOperationCompleted == null)) {
                this.RemoveOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRemoveOperationCompleted);
            }
            this.InvokeAsync("Remove", new object[] {
                        ArgnsCostSheetParams}, this.RemoveOperationCompleted, userState);
        }
        
        private void OnRemoveOperationCompleted(object arg) {
            if ((this.RemoveCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RemoveCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_COST_SHEET,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheet {
        
        private string codeField;
        
        private string nameField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime createTimeField;
        
        private bool createTimeFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private System.DateTime updateTimeField;
        
        private bool updateTimeFieldSpecified;
        
        private string dataSourceField;
        
        private string u_ModCodeField;
        
        private string u_CurrencyField;
        
        private string u_DescriptionField;
        
        private string u_SelectedField;
        
        private double u_PurchPriceField;
        
        private bool u_PurchPriceFieldSpecified;
        
        private double u_TMaterialsField;
        
        private bool u_TMaterialsFieldSpecified;
        
        private double u_TOperationsField;
        
        private bool u_TOperationsFieldSpecified;
        
        private double u_IndrCostField;
        
        private bool u_IndrCostFieldSpecified;
        
        private double u_TCostField;
        
        private bool u_TCostFieldSpecified;
        
        private double u_CostPercentField;
        
        private bool u_CostPercentFieldSpecified;
        
        private double u_SlsPercentField;
        
        private bool u_SlsPercentFieldSpecified;
        
        private double u_StrFactorField;
        
        private bool u_StrFactorFieldSpecified;
        
        private double u_FPriceField;
        
        private bool u_FPriceFieldSpecified;
        
        private string u_OTCodeField;
        
        private string u_SchCodeField;
        
        private string u_VendorField;
        
        private string u_VNameField;
        
        private string u_ContPersonField;
        
        private string u_VendRefNoField;
        
        private System.DateTime u_CSSERDateField;
        
        private bool u_CSSERDateFieldSpecified;
        
        private string u_CodeTmplField;
        
        private double u_DutyField;
        
        private bool u_DutyFieldSpecified;
        
        private double u_IntTranspField;
        
        private bool u_IntTranspFieldSpecified;
        
        private double u_FreightField;
        
        private bool u_FreightFieldSpecified;
        
        private double u_MarginField;
        
        private bool u_MarginFieldSpecified;
        
        private double u_DDPField;
        
        private bool u_DDPFieldSpecified;
        
        private double u_TMarginField;
        
        private bool u_TMarginFieldSpecified;
        
        private double u_CIFField;
        
        private bool u_CIFFieldSpecified;
        
        private string u_UserText1Field;
        
        private string u_UserText2Field;
        
        private string u_UserText3Field;
        
        private string u_SchTypeField;
        
        private string u_FMCodeField;
        
        private ArgnsCostSheetARGNS_CS_MATERIALS[] aRGNS_CS_MATERIALSCollectionField;
        
        private ArgnsCostSheetARGNS_CS_OPERATIONS[] aRGNS_CS_OPERATIONSCollectionField;
        
        private ArgnsCostSheetARGNS_CS_SCHEMAS[] aRGNS_CS_SCHEMASCollectionField;
        
        private ArgnsCostSheetARGNS_CS_PATTERNS[] aRGNS_CS_PATTERNSCollectionField;
        
        private ArgnsCostSheetARGNS_CS_SUB_OPER[] aRGNS_CS_SUB_OPERCollectionField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public string Name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime CreateTime {
            get {
                return this.createTimeField;
            }
            set {
                this.createTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateTimeSpecified {
            get {
                return this.createTimeFieldSpecified;
            }
            set {
                this.createTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime UpdateTime {
            get {
                return this.updateTimeField;
            }
            set {
                this.updateTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateTimeSpecified {
            get {
                return this.updateTimeFieldSpecified;
            }
            set {
                this.updateTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        public string U_ModCode {
            get {
                return this.u_ModCodeField;
            }
            set {
                this.u_ModCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Currency {
            get {
                return this.u_CurrencyField;
            }
            set {
                this.u_CurrencyField = value;
            }
        }
        
        /// <remarks/>
        public string U_Description {
            get {
                return this.u_DescriptionField;
            }
            set {
                this.u_DescriptionField = value;
            }
        }
        
        /// <remarks/>
        public string U_Selected {
            get {
                return this.u_SelectedField;
            }
            set {
                this.u_SelectedField = value;
            }
        }
        
        /// <remarks/>
        public double U_PurchPrice {
            get {
                return this.u_PurchPriceField;
            }
            set {
                this.u_PurchPriceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PurchPriceSpecified {
            get {
                return this.u_PurchPriceFieldSpecified;
            }
            set {
                this.u_PurchPriceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TMaterials {
            get {
                return this.u_TMaterialsField;
            }
            set {
                this.u_TMaterialsField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TMaterialsSpecified {
            get {
                return this.u_TMaterialsFieldSpecified;
            }
            set {
                this.u_TMaterialsFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TOperations {
            get {
                return this.u_TOperationsField;
            }
            set {
                this.u_TOperationsField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TOperationsSpecified {
            get {
                return this.u_TOperationsFieldSpecified;
            }
            set {
                this.u_TOperationsFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_IndrCost {
            get {
                return this.u_IndrCostField;
            }
            set {
                this.u_IndrCostField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_IndrCostSpecified {
            get {
                return this.u_IndrCostFieldSpecified;
            }
            set {
                this.u_IndrCostFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TCost {
            get {
                return this.u_TCostField;
            }
            set {
                this.u_TCostField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TCostSpecified {
            get {
                return this.u_TCostFieldSpecified;
            }
            set {
                this.u_TCostFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_CostPercent {
            get {
                return this.u_CostPercentField;
            }
            set {
                this.u_CostPercentField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CostPercentSpecified {
            get {
                return this.u_CostPercentFieldSpecified;
            }
            set {
                this.u_CostPercentFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_SlsPercent {
            get {
                return this.u_SlsPercentField;
            }
            set {
                this.u_SlsPercentField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_SlsPercentSpecified {
            get {
                return this.u_SlsPercentFieldSpecified;
            }
            set {
                this.u_SlsPercentFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_StrFactor {
            get {
                return this.u_StrFactorField;
            }
            set {
                this.u_StrFactorField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_StrFactorSpecified {
            get {
                return this.u_StrFactorFieldSpecified;
            }
            set {
                this.u_StrFactorFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_FPrice {
            get {
                return this.u_FPriceField;
            }
            set {
                this.u_FPriceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_FPriceSpecified {
            get {
                return this.u_FPriceFieldSpecified;
            }
            set {
                this.u_FPriceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_OTCode {
            get {
                return this.u_OTCodeField;
            }
            set {
                this.u_OTCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_SchCode {
            get {
                return this.u_SchCodeField;
            }
            set {
                this.u_SchCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Vendor {
            get {
                return this.u_VendorField;
            }
            set {
                this.u_VendorField = value;
            }
        }
        
        /// <remarks/>
        public string U_VName {
            get {
                return this.u_VNameField;
            }
            set {
                this.u_VNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_ContPerson {
            get {
                return this.u_ContPersonField;
            }
            set {
                this.u_ContPersonField = value;
            }
        }
        
        /// <remarks/>
        public string U_VendRefNo {
            get {
                return this.u_VendRefNoField;
            }
            set {
                this.u_VendRefNoField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_CSSERDate {
            get {
                return this.u_CSSERDateField;
            }
            set {
                this.u_CSSERDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CSSERDateSpecified {
            get {
                return this.u_CSSERDateFieldSpecified;
            }
            set {
                this.u_CSSERDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CodeTmpl {
            get {
                return this.u_CodeTmplField;
            }
            set {
                this.u_CodeTmplField = value;
            }
        }
        
        /// <remarks/>
        public double U_Duty {
            get {
                return this.u_DutyField;
            }
            set {
                this.u_DutyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DutySpecified {
            get {
                return this.u_DutyFieldSpecified;
            }
            set {
                this.u_DutyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_IntTransp {
            get {
                return this.u_IntTranspField;
            }
            set {
                this.u_IntTranspField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_IntTranspSpecified {
            get {
                return this.u_IntTranspFieldSpecified;
            }
            set {
                this.u_IntTranspFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Freight {
            get {
                return this.u_FreightField;
            }
            set {
                this.u_FreightField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_FreightSpecified {
            get {
                return this.u_FreightFieldSpecified;
            }
            set {
                this.u_FreightFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Margin {
            get {
                return this.u_MarginField;
            }
            set {
                this.u_MarginField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_MarginSpecified {
            get {
                return this.u_MarginFieldSpecified;
            }
            set {
                this.u_MarginFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_DDP {
            get {
                return this.u_DDPField;
            }
            set {
                this.u_DDPField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DDPSpecified {
            get {
                return this.u_DDPFieldSpecified;
            }
            set {
                this.u_DDPFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TMargin {
            get {
                return this.u_TMarginField;
            }
            set {
                this.u_TMarginField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TMarginSpecified {
            get {
                return this.u_TMarginFieldSpecified;
            }
            set {
                this.u_TMarginFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_CIF {
            get {
                return this.u_CIFField;
            }
            set {
                this.u_CIFField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CIFSpecified {
            get {
                return this.u_CIFFieldSpecified;
            }
            set {
                this.u_CIFFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_UserText1 {
            get {
                return this.u_UserText1Field;
            }
            set {
                this.u_UserText1Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserText2 {
            get {
                return this.u_UserText2Field;
            }
            set {
                this.u_UserText2Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserText3 {
            get {
                return this.u_UserText3Field;
            }
            set {
                this.u_UserText3Field = value;
            }
        }
        
        /// <remarks/>
        public string U_SchType {
            get {
                return this.u_SchTypeField;
            }
            set {
                this.u_SchTypeField = value;
            }
        }
        
        /// <remarks/>
        public string U_FMCode {
            get {
                return this.u_FMCodeField;
            }
            set {
                this.u_FMCodeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CS_MATERIALS", IsNullable=false)]
        public ArgnsCostSheetARGNS_CS_MATERIALS[] ARGNS_CS_MATERIALSCollection {
            get {
                return this.aRGNS_CS_MATERIALSCollectionField;
            }
            set {
                this.aRGNS_CS_MATERIALSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CS_OPERATIONS", IsNullable=false)]
        public ArgnsCostSheetARGNS_CS_OPERATIONS[] ARGNS_CS_OPERATIONSCollection {
            get {
                return this.aRGNS_CS_OPERATIONSCollectionField;
            }
            set {
                this.aRGNS_CS_OPERATIONSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CS_SCHEMAS", IsNullable=false)]
        public ArgnsCostSheetARGNS_CS_SCHEMAS[] ARGNS_CS_SCHEMASCollection {
            get {
                return this.aRGNS_CS_SCHEMASCollectionField;
            }
            set {
                this.aRGNS_CS_SCHEMASCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CS_PATTERNS", IsNullable=false)]
        public ArgnsCostSheetARGNS_CS_PATTERNS[] ARGNS_CS_PATTERNSCollection {
            get {
                return this.aRGNS_CS_PATTERNSCollectionField;
            }
            set {
                this.aRGNS_CS_PATTERNSCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CS_SUB_OPER", IsNullable=false)]
        public ArgnsCostSheetARGNS_CS_SUB_OPER[] ARGNS_CS_SUB_OPERCollection {
            get {
                return this.aRGNS_CS_SUB_OPERCollectionField;
            }
            set {
                this.aRGNS_CS_SUB_OPERCollectionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetARGNS_CS_MATERIALS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private string u_UoMField;
        
        private string u_WhseField;
        
        private string u_IssueMthField;
        
        private long u_PListField;
        
        private bool u_PListFieldSpecified;
        
        private double u_UPriceField;
        
        private bool u_UPriceFieldSpecified;
        
        private double u_TotalField;
        
        private bool u_TotalFieldSpecified;
        
        private string u_CommentsField;
        
        private string u_TreeTypeField;
        
        private string u_PVendorField;
        
        private string u_FCodeField;
        
        private string u_OcrCodeField;
        
        private string u_CurrencyField;
        
        private string u_ItmLinkOField;
        
        private double u_QtyTimeField;
        
        private bool u_QtyTimeFieldSpecified;
        
        private string u_CxTField;
        
        private string u_CxSField;
        
        private string u_CxCField;
        
        private string u_CxGTField;
        
        private string u_VRMField;
        
        private string u_PattCodeField;
        
        private double u_PattQtyField;
        
        private bool u_PattQtyFieldSpecified;
        
        private string u_CxGT1Field;
        
        private string u_CxGT2Field;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_UoM {
            get {
                return this.u_UoMField;
            }
            set {
                this.u_UoMField = value;
            }
        }
        
        /// <remarks/>
        public string U_Whse {
            get {
                return this.u_WhseField;
            }
            set {
                this.u_WhseField = value;
            }
        }
        
        /// <remarks/>
        public string U_IssueMth {
            get {
                return this.u_IssueMthField;
            }
            set {
                this.u_IssueMthField = value;
            }
        }
        
        /// <remarks/>
        public long U_PList {
            get {
                return this.u_PListField;
            }
            set {
                this.u_PListField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PListSpecified {
            get {
                return this.u_PListFieldSpecified;
            }
            set {
                this.u_PListFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_UPrice {
            get {
                return this.u_UPriceField;
            }
            set {
                this.u_UPriceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_UPriceSpecified {
            get {
                return this.u_UPriceFieldSpecified;
            }
            set {
                this.u_UPriceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Total {
            get {
                return this.u_TotalField;
            }
            set {
                this.u_TotalField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TotalSpecified {
            get {
                return this.u_TotalFieldSpecified;
            }
            set {
                this.u_TotalFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Comments {
            get {
                return this.u_CommentsField;
            }
            set {
                this.u_CommentsField = value;
            }
        }
        
        /// <remarks/>
        public string U_TreeType {
            get {
                return this.u_TreeTypeField;
            }
            set {
                this.u_TreeTypeField = value;
            }
        }
        
        /// <remarks/>
        public string U_PVendor {
            get {
                return this.u_PVendorField;
            }
            set {
                this.u_PVendorField = value;
            }
        }
        
        /// <remarks/>
        public string U_FCode {
            get {
                return this.u_FCodeField;
            }
            set {
                this.u_FCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_OcrCode {
            get {
                return this.u_OcrCodeField;
            }
            set {
                this.u_OcrCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Currency {
            get {
                return this.u_CurrencyField;
            }
            set {
                this.u_CurrencyField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItmLinkO {
            get {
                return this.u_ItmLinkOField;
            }
            set {
                this.u_ItmLinkOField = value;
            }
        }
        
        /// <remarks/>
        public double U_QtyTime {
            get {
                return this.u_QtyTimeField;
            }
            set {
                this.u_QtyTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QtyTimeSpecified {
            get {
                return this.u_QtyTimeFieldSpecified;
            }
            set {
                this.u_QtyTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CxT {
            get {
                return this.u_CxTField;
            }
            set {
                this.u_CxTField = value;
            }
        }
        
        /// <remarks/>
        public string U_CxS {
            get {
                return this.u_CxSField;
            }
            set {
                this.u_CxSField = value;
            }
        }
        
        /// <remarks/>
        public string U_CxC {
            get {
                return this.u_CxCField;
            }
            set {
                this.u_CxCField = value;
            }
        }
        
        /// <remarks/>
        public string U_CxGT {
            get {
                return this.u_CxGTField;
            }
            set {
                this.u_CxGTField = value;
            }
        }
        
        /// <remarks/>
        public string U_VRM {
            get {
                return this.u_VRMField;
            }
            set {
                this.u_VRMField = value;
            }
        }
        
        /// <remarks/>
        public string U_PattCode {
            get {
                return this.u_PattCodeField;
            }
            set {
                this.u_PattCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_PattQty {
            get {
                return this.u_PattQtyField;
            }
            set {
                this.u_PattQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PattQtySpecified {
            get {
                return this.u_PattQtyFieldSpecified;
            }
            set {
                this.u_PattQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CxGT1 {
            get {
                return this.u_CxGT1Field;
            }
            set {
                this.u_CxGT1Field = value;
            }
        }
        
        /// <remarks/>
        public string U_CxGT2 {
            get {
                return this.u_CxGT2Field;
            }
            set {
                this.u_CxGT2Field = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetARGNS_CS_OPERATIONS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private string u_UoMField;
        
        private long u_PListField;
        
        private bool u_PListFieldSpecified;
        
        private double u_PriceField;
        
        private bool u_PriceFieldSpecified;
        
        private string u_CurrencyField;
        
        private long u_TRAPlatzField;
        
        private bool u_TRAPlatzFieldSpecified;
        
        private long u_TR2APlatField;
        
        private bool u_TR2APlatFieldSpecified;
        
        private double u_TEAPlatzField;
        
        private bool u_TEAPlatzFieldSpecified;
        
        private long u_menge_jeField;
        
        private bool u_menge_jeFieldSpecified;
        
        private long u_menge_zeField;
        
        private bool u_menge_zeFieldSpecified;
        
        private long u_nutzenField;
        
        private bool u_nutzenFieldSpecified;
        
        private long u_anzahlField;
        
        private bool u_anzahlFieldSpecified;
        
        private string u_bdeField;
        
        private string u_aplatz_iField;
        
        private long u_SAMField;
        
        private bool u_SAMFieldSpecified;
        
        private string u_ResCodeField;
        
        private long u_LeadTimeField;
        
        private bool u_LeadTimeFieldSpecified;
        
        private long u_SecondsField;
        
        private bool u_SecondsFieldSpecified;
        
        private string u_SOTCodeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_UoM {
            get {
                return this.u_UoMField;
            }
            set {
                this.u_UoMField = value;
            }
        }
        
        /// <remarks/>
        public long U_PList {
            get {
                return this.u_PListField;
            }
            set {
                this.u_PListField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PListSpecified {
            get {
                return this.u_PListFieldSpecified;
            }
            set {
                this.u_PListFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Price {
            get {
                return this.u_PriceField;
            }
            set {
                this.u_PriceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PriceSpecified {
            get {
                return this.u_PriceFieldSpecified;
            }
            set {
                this.u_PriceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Currency {
            get {
                return this.u_CurrencyField;
            }
            set {
                this.u_CurrencyField = value;
            }
        }
        
        /// <remarks/>
        public long U_TRAPlatz {
            get {
                return this.u_TRAPlatzField;
            }
            set {
                this.u_TRAPlatzField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TRAPlatzSpecified {
            get {
                return this.u_TRAPlatzFieldSpecified;
            }
            set {
                this.u_TRAPlatzFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_TR2APlat {
            get {
                return this.u_TR2APlatField;
            }
            set {
                this.u_TR2APlatField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TR2APlatSpecified {
            get {
                return this.u_TR2APlatFieldSpecified;
            }
            set {
                this.u_TR2APlatFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_TEAPlatz {
            get {
                return this.u_TEAPlatzField;
            }
            set {
                this.u_TEAPlatzField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_TEAPlatzSpecified {
            get {
                return this.u_TEAPlatzFieldSpecified;
            }
            set {
                this.u_TEAPlatzFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_menge_je {
            get {
                return this.u_menge_jeField;
            }
            set {
                this.u_menge_jeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_menge_jeSpecified {
            get {
                return this.u_menge_jeFieldSpecified;
            }
            set {
                this.u_menge_jeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_menge_ze {
            get {
                return this.u_menge_zeField;
            }
            set {
                this.u_menge_zeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_menge_zeSpecified {
            get {
                return this.u_menge_zeFieldSpecified;
            }
            set {
                this.u_menge_zeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_nutzen {
            get {
                return this.u_nutzenField;
            }
            set {
                this.u_nutzenField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_nutzenSpecified {
            get {
                return this.u_nutzenFieldSpecified;
            }
            set {
                this.u_nutzenFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_anzahl {
            get {
                return this.u_anzahlField;
            }
            set {
                this.u_anzahlField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_anzahlSpecified {
            get {
                return this.u_anzahlFieldSpecified;
            }
            set {
                this.u_anzahlFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_bde {
            get {
                return this.u_bdeField;
            }
            set {
                this.u_bdeField = value;
            }
        }
        
        /// <remarks/>
        public string U_aplatz_i {
            get {
                return this.u_aplatz_iField;
            }
            set {
                this.u_aplatz_iField = value;
            }
        }
        
        /// <remarks/>
        public long U_SAM {
            get {
                return this.u_SAMField;
            }
            set {
                this.u_SAMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_SAMSpecified {
            get {
                return this.u_SAMFieldSpecified;
            }
            set {
                this.u_SAMFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ResCode {
            get {
                return this.u_ResCodeField;
            }
            set {
                this.u_ResCodeField = value;
            }
        }
        
        /// <remarks/>
        public long U_LeadTime {
            get {
                return this.u_LeadTimeField;
            }
            set {
                this.u_LeadTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_LeadTimeSpecified {
            get {
                return this.u_LeadTimeFieldSpecified;
            }
            set {
                this.u_LeadTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_Seconds {
            get {
                return this.u_SecondsField;
            }
            set {
                this.u_SecondsField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_SecondsSpecified {
            get {
                return this.u_SecondsFieldSpecified;
            }
            set {
                this.u_SecondsFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_SOTCode {
            get {
                return this.u_SOTCodeField;
            }
            set {
                this.u_SOTCodeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetARGNS_CS_SCHEMAS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_SchCodeField;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private double u_PercentField;
        
        private bool u_PercentFieldSpecified;
        
        private double u_AmountField;
        
        private bool u_AmountFieldSpecified;
        
        private string u_AplicToField;
        
        private string u_CurrencyField;
        
        private long u_PListField;
        
        private bool u_PListFieldSpecified;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_SchCode {
            get {
                return this.u_SchCodeField;
            }
            set {
                this.u_SchCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public double U_Percent {
            get {
                return this.u_PercentField;
            }
            set {
                this.u_PercentField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PercentSpecified {
            get {
                return this.u_PercentFieldSpecified;
            }
            set {
                this.u_PercentFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Amount {
            get {
                return this.u_AmountField;
            }
            set {
                this.u_AmountField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AmountSpecified {
            get {
                return this.u_AmountFieldSpecified;
            }
            set {
                this.u_AmountFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_AplicTo {
            get {
                return this.u_AplicToField;
            }
            set {
                this.u_AplicToField = value;
            }
        }
        
        /// <remarks/>
        public string U_Currency {
            get {
                return this.u_CurrencyField;
            }
            set {
                this.u_CurrencyField = value;
            }
        }
        
        /// <remarks/>
        public long U_PList {
            get {
                return this.u_PListField;
            }
            set {
                this.u_PListField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PListSpecified {
            get {
                return this.u_PListFieldSpecified;
            }
            set {
                this.u_PListFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetARGNS_CS_PATTERNS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_PattCodeField;
        
        private string u_DescField;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private string u_UoMField;
        
        private double u_PattQtyField;
        
        private bool u_PattQtyFieldSpecified;
        
        private string u_ActiveField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_PattCode {
            get {
                return this.u_PattCodeField;
            }
            set {
                this.u_PattCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Desc {
            get {
                return this.u_DescField;
            }
            set {
                this.u_DescField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_UoM {
            get {
                return this.u_UoMField;
            }
            set {
                this.u_UoMField = value;
            }
        }
        
        /// <remarks/>
        public double U_PattQty {
            get {
                return this.u_PattQtyField;
            }
            set {
                this.u_PattQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PattQtySpecified {
            get {
                return this.u_PattQtyFieldSpecified;
            }
            set {
                this.u_PattQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Active {
            get {
                return this.u_ActiveField;
            }
            set {
                this.u_ActiveField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetARGNS_CS_SUB_OPER {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_SOTCodeField;
        
        private string u_SOCodeField;
        
        private string u_SODescField;
        
        private long u_STimeField;
        
        private bool u_STimeFieldSpecified;
        
        private long u_OrderField;
        
        private bool u_OrderFieldSpecified;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_SOTCode {
            get {
                return this.u_SOTCodeField;
            }
            set {
                this.u_SOTCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_SOCode {
            get {
                return this.u_SOCodeField;
            }
            set {
                this.u_SOCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_SODesc {
            get {
                return this.u_SODescField;
            }
            set {
                this.u_SODescField = value;
            }
        }
        
        /// <remarks/>
        public long U_STime {
            get {
                return this.u_STimeField;
            }
            set {
                this.u_STimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_STimeSpecified {
            get {
                return this.u_STimeFieldSpecified;
            }
            set {
                this.u_STimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_Order {
            get {
                return this.u_OrderField;
            }
            set {
                this.u_OrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_OrderSpecified {
            get {
                return this.u_OrderFieldSpecified;
            }
            set {
                this.u_OrderFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsCostSheetsParamsArgnsCostSheetParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsCostSheetParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsCostSheetParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsCostSheet Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsCostSheet)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsCostSheetsParamsArgnsCostSheetParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsCostSheetsParamsArgnsCostSheetParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void RemoveCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591